# Created by pyp2rpm-3.3.4
%global pypi_name click-repl

# Tests are missing from pypi sources
%bcond_with check

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 2
Summary:        REPL plugin for Click
Group:          Development/Python
License:        MIT
URL:            https://github.com/untitaker/click-repl
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3-pytest
%endif

%description
REPL plugin for Click.

%package -n     python3-%{pypi_name}
Summary:        REPL plugin for Click
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
REPL plugin for Click.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# we are not interested in coverage
sed -e '/--cov/d' -i pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files click_repl

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Mar 02 2025 wally <wally> 0.3.0-2.mga10
+ Revision: 2157116
- rebuild for python3.13

* Fri Feb 09 2024 daviddavid <daviddavid> 0.3.0-1.mga10
+ Revision: 2039796
- new version: 0.3.0
- switch to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 0.2.0-3.mga9
+ Revision: 1833354
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.2.0-2.mga9
+ Revision: 1785579
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 0.2.0-1.mga9
+ Revision: 1743073
- new version 0.2.0

* Mon Mar 22 2021 daviddavid <daviddavid> 0.1.6-2.mga9
+ Revision: 1707534
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.1.6-1.mga8
+ Revision: 1669561
- initial package python-click-repl (needed for python-celery)

